AFSLOG(1)

NAME
afslog - obtains AFS tokens for specified cells

SYNOPSIS
afslog [-d] [-c cell] [-k realm] [-p path] [-unlog] [-createuser] [args]

DESCRIPTION
The afslog command obtains AFS tokens, args are either a name of a cell or a pathnames of a file in the cell to get tokens for. If an argument is. or.. or contains a slash it is assumed to be a pathname. Otherwise it is assumed to be a name of a cell or a prefix thereof.

The -c and -p flags can be used to resolve ambiguities.

afslog might fail to guess the Kerberos realm to get tickets for (for instance if the volume location servers of the cell does not reside in the kerberos realm that holds the AFS service key, and the correct realm isn't the same as the cell name or the local realm (I didn't say this was a common problem)). Anyway, the -k can be used to give a hint. It should not be used unless there is a problem, since all tickets will be taken from the specified realm and this is not (usually) what you want.

-createuser means that afslog should try to run pts to create a remote user principal in another cell. -d can be used for debugging.

If the -unlog flag is given any tokens are removed and all other arguments are ignored.

SEE ALSO
kauth(1), kafs(3)

BUGS
It should be able to handle the MIT Athena aklog flags -hosts, -zsubs, and -noprdb, but does not.